Skip Navigation
216

WordPress 6.1 was released on November 1st and contains critical, breaking issues with WPML. We recently released WPML 4.5.13 and String Translation 3.2.3 to fix these.

WordPress 6.1 introduces breaking changes 

To avoid breaking your site, you must update to WPML 4.5.13 and String Translation 3.2.3 before updating to WordPress 6.1.

How to Update WPML

WPML 4.5.13 and String Translation 3.2.3 are now available to all WPML clients. You can get these updates from your Downloads page, or by visiting the Plugins page.

Updating WPML and String Translation

What to Do If WordPress 6.1 Breaks Your Site

If you update to WordPress 6.1 before updating WPML, you will see a fatal error on your site. If you have already tried to update WPML using the steps above and are unable to, please try the following fix:

  1. Disable String Translation to make your site’s front-end accessible for others.
  2. Update WPML core to 4.5.13 and String Translation to 3.2.3.
  3. Re-enable String Translation.

If you are not able to access your site’s admin or none of the previous steps seem to work, please try any of these options:

  • Manually update WPML using FTP (if you cannot log in to your site).
  • Roll back to a previous version of WordPress, then update WPML.
  • Restore your site from a backup, then update WPML before updating WordPress.
  • Use FTP to change the String Translation plugin folder name, which will deactivate it. You can then delete it from the plugins page and reinstall it with the latest version.

How to Disable Future Automatic WordPress Feature Updates

You can disable future automatic WordPress updates except for maintenance and security updates by going to DashboardUpdates and clicking the link, Switch to automatic updates for maintenance and security releases only

Switching to automatic updates for WordPress maintenance and security releases only

It’s important to note that some hosting providers may automatically update WordPress versions. In that case, you will need to contact them to stop automatic updates.

Why This Happened

This WordPress release has been a moving target with changes introduced between each release candidate, and bugs that weren’t fixed. What’s more, the release date was a holiday for many of our European clients and coworkers.

Normally, we do not release an update until it has been tested thoroughly with the latest WordPress release. However, due to the fact that there was no final version of WordPress 6.1 available until the last minute, we wanted to provide you with an update for the critical issues we were aware of as soon as possible.

Known Issues in WordPress 6.1

These WPML releases address several known issues from WordPress 6.1, including:

WPML Core 4.5.12 & 4.5.13:

  • Fixed a notice related to WP_object_cache
  • Added support for translating the new List-item Gutenberg block
  • Fixed an issue with registering strings coming from the Elementor Flexbox container
  • Fixed an issue with the Block widget text being unexpectedly wrapped with a paragraph tag
  • Fixed the issue where Block widgets translations were not applied any more
  • Fixed an issue with the menu language switcher where the wpml-ls-first-item class was applied to the current language instead of the first listed language. This issue was introduced in WordPress 6.1 and WPML 4.5.12.
  • Fixed an issue with the hierarchical language menus to make sure it is not possible to not display the current language in such menus.

String Translation 3.2.3:

  • Fixed a fatal error that occurs when running WPML with WordPress version 6.1.

Please note: WordPress 6.1 may introduce issues with other plugins and themes as well. Be sure to keep all your themes and plugins up to date to prevent issues.

Questions or Comments?

Let us know in the comments section below, and we’ll reply.

216 Responses to “WPML 4.5.13 – Updates for WordPress 6.1”

    • Hi David – Please see the section in the post about “What to Do if WordPress 6.1 Breaks Your Site.” It walks you through a few options that should help.

      • Fatal error: Cannot redeclare et_init_code_snippets_library() (previously declared in /var/www/clients/client657/web1453/web/wp-content/plugins/divi-builder/core/code-snippets/code-snippets.php:37) in /var/www/clients/client657/web1453/web/wp-content/themes/Divi/core/code-snippets/code-snippets.php on line 36
        There has been a critical error on this website.

        Learn more about troubleshooting WordPress.

        for my website: http://www.heritageresourcesltd.com.hk

        • Hi Gordon – I see you opened support tickets about this, so I will leave this to our supporters to investigate it further.

  1. Hi all,

    So….
    What is the status on the latest WP 6.1.x and WPML?

    Can we safely update both now, or do we wait a little longer to see if the latest WP version throws in another monkey wrench the peeps at WPML didn’t expect?

    This is all right before the holiday season bookings start, so I don’t want to have a dead website on my hands. 😉

    cheers!

    Rob

    • Hi Rob – We have a hotfix release going out a bit later today to fix one new minor issue we found in the 6.1 final release. So if you can hang on a few more hours, then update to WPML 4.5.13 before updating to WordPress 6.1, that will address all the issues! Otherwise, WPML 4.5.12 and String Translation 3.2.3 are already out and fix the most important stuff.

  2. Hello all,
    even after installing WPML 4.5.13 (and String Translation 3.2.3) my site crashes. What can I do?
    Best Regards
    Joerg

  3. Hello,
    I have been waiting for the release of WPML 4.5.13 and String Translation 3.2.3; when logging into my site and navigating to the plugins, they do not show an update is available and show they are currently versions 4.5.11 and 3.2.2, respectively. Can you advise on how to get the updates?
    -Sam

    • Hi Sam – They should already be available and showing on everyone’s account. If not, please try going to Plugins → Add New and clicking the Commercial tab. Then click Check for Updates (you can see screenshots of the steps here). If you still don’t see the update available, please be sure your WPML account is active. If so, please contact our support team for assistance. If you do not currently have a valid WPML account, you need to purchase one in order to download updates. You can also get the updates from you Downloads page.

  4. Dear Allison, in my Plugins page I don’t have the typical “There is a new version of WPML…” messages, therefore I can’t update them from there. Do you know why is that?

  5. I think I do. In my account, it says my next renewal is in January 2023. Also checked my last invoice and it’s paid. So, everything should be fine.

  6. Meine Website zeigt mir weiterhin an das es einen kritischen Fehler auf der Website gibt.

    Ich habe keinen Zugriff mehr auf meinen Shop.

  7. Hi, I’m still on 6.03 and have CMS version 4.5.12 and string 3.2.3. Will there be any more updates to WPML? Is it safe to make the switch to 6.1 ? I will be testing this on a staging site first anyways, but just want to make sure I didn’t miss any new information. Please let me know. Thanks!

    • Hi Anna – We released WPML 4.5.13 yesterday, which addresses the last new issue we discovered in the final version of WordPress 6.1. Once you update to WPML 4.5.13 and String Translation 3.2.3, you should be safe to update to WordPress 6.1!

  8. Hello ! I have already renewed my WPML license and I am trying but it my account remains expired . I am trying to refresh my account status but I can not do something . I have a KEY for my site but I can not find where should I use it .

    Kind Regards
    Antonis

    • You have the Multilingual Blog account activated today (November 8) and I can see that you registered your site. You need to grab the key and paste it into Plugins > Add new > Commercial tab.

  9. Hi!

    I update wordepress to 6.1 version and the wpml plugins have the last version
    but all the time y see the message WPML plugin cannot connect to wpml.org.
    When I create products the stock does not appear in the translations and if i
    “Synchronize inventory quantity and status” it does not, the same amount to update appears again. I don’t know if this happens because the connection is not right?

    Thanks

  10. I’ve followed the instructions and used several methods to solve the issue (downgrade WP to 6.0, restore a backup, update plugins, deactivate plugins, etc.)

    WPML Multilingual CMS Version 4.5.13 still causes critical errors and WP goes to recovery mode.

    Don’t know what to do.

  11. WordPress Toolkit has detected new vulnerabilities on WordPress sites under your care. It is strongly recommended to update or disable vulnerable assets on these sites. You can also configure WordPress Toolkit to perform automatic actions when vulnerabilities are detected.
    Policy Action Site Vulnerability

    The following vulnerabilities are handled by WordPress Toolkit right now based on site autoupdate policy:

    Update regiozeist.nl WordPress WPML Multilingual CMS premium plugin <= 4.5.13 – Cross-Site Request Forgery (CSRF) vulnerability
    Update regiozeist.nl WordPress WPML Multilingual CMS premium plugin <= 4.5.13 – Cross-Site Request Forgery (CSRF) vulnerability

    • Hi Mark – Thank you for your comment. We are aware of this issue and already have a fix for it, which we will release as a beta today (the production release will go out next week). Based on the analysis from our team, this is just a notice rather than an issue that can actually be exploited. We’ll have more information in an announcement post a bit later today.

  12. After the upgrade yesterday I just got a critical warning from Wordfence:

    The Plugin “WPML Multilingual CMS” has a security vulnerability.
    Type: Plugin Vulnerable
    Found November 10, 2022 12:48
    Critical

    Plugin Name: WPML Multilingual CMS
    Current Plugin Version: 4.5.13
    Details: To protect your site from this vulnerability, the safest option is to deactivate and completely remove “WPML Multilingual CMS” until a patched version is available.

    What to do?
    Best regards
    Mattias

    • Hi Mattias – Our developers are aware of this situation, and we are releasing a fix a bit later today in a new beta. We’ll publish an announcement with more information later, but not to worry, as it’s a vulnerability that would be extremely difficult to exploit.

  13. Hi,

    I have the same message in Wordfence and I don’t see any new WPML version with a fix.
    Is it going to be released today? I am on 4.15.3.

    Thank you in advance.

    • Hi, François! We released a beta of WPML 4.5.14 with a fix for this security notice. The production release should happen early next week (but in batches, not to all users at once). You can read all about it here: https://wpml.org/changelog/2022/11/wpml-4-5-14-security-improvements/

      BUT, please note that this notice/issue is extremely unlikely to be exploited on a site, so we would recommend waiting for the official release next week. Nothing will happen with your site until then, so no need to switch to the beta now (unless you really want to, of course).

  14. Hello there, I have received the FATAL error despite following all the directions. How can I receive support for the urgently? Thank you!

    • Hi, Silvana! Sorry to hear you’re still having issues. Please try the following steps:
      1. In your site’s admin, go to WPML > Support and then click the link for the Troubleshooting page.
      2. On the WPML’s Troubleshooting page, look in the section called “Clean up”, and there, click the button that says “Clear the cache in WPML”.

      Here’s a screenshot of how it looks like: https://app.screencast.com/8t9zKLKxT5iH2

      Hopefully, this helps. My colleague Amit will also reach out to you via email to make sure your issue is resolved successfully.

  15. Hello.
    We already updated all the plugins just as you recommend but our site still crash every time we activate WPML Multilingual CMS 4.5.13. We need to change the plugin names via FTP in order to keep the site working. We clean caches and did everything you recommend but still not working.
    We are an ecommerce and Black Friday is coming soon, so please we need a solution as soon as possible. We are using Storefront as theme so we suppose that compatibility is already tested from your side. We will be waiting for your answer. Thanks in advanced.

    • Dear Carmen Maria! I am sorry to hear that you’re having this problem. Please try the following steps:
      1. In your site’s admin, go to WPML > Support and then click the link for the Troubleshooting page.
      2. On the WPML’s Troubleshooting page, look in the section called “Clean up”, and there, click the button that says “Clear the cache in WPML”.

      Here’s a screenshot of how it looks like: https://app.screencast.com/8t9zKLKxT5iH2

      I hope this helps. My colleague Amit will also reach out to you via email to make sure your issue is resolved successfully.

  16. I don’t care who’s to blame here, but this whole WP 6,1 thing and WMPL is really starting to annoy me.
    I had to restore my xampp setup twice now to get a working test website back, and it has costed me way too much time already.

    I hope this new pitch that is coming up will do the trick? As for now I’m not going to update any of my live sites….

    rob

    • Hi Rob – You can already update to WPML 4.5.14 and String Translation 3.2.3. These releases solve the issues with WordPress 6.1.

  17. Hey,
    at my Webseite WPML is not longer working, I installed the WPML installer, but when I try to download and activate WPML Multilingual CMS it says:
    Destination folder already exists. (/homepages/38/d849803325/htdocs/clickandbuilds/WordPress/Sam/wp-content/plugins/sitepress-multilingual-cms/)
    But in my backend I have no WPML at all.
    https://spielkoepfe.de

  18. Hi all,

    the String Translation crashes my site completely.

    But I can’t update because my license is already deactivated since few months.

    How to get an update without license?

    THANKS!

  19. Hi,
    I’m on WP 6.0.3 with :
    – WPML Multilingual CMS 4.5.11
    – WPML String Translation 3.2.2

    I’m not willing to update to WP 6.1 for now, but I’d like to update WPML plugins to their last version (4.5.14 and 3.2.3)
    Will I encounter any issue mentionned on this page ? Or are these issues only relative to the udpdate of WP 6.1 ?
    Thanks

    • Hi Christelle – The issues mentioned in this post only occur when you update to WordPress 6.1 without first updating to the latest versions of WPML.

Leave a Reply

Please stay on topic and be respectful to others. If you need help with issues not related to this post, use our Support Forum to start a chat or submit a ticket.

You can use these tags:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>